aboutsummaryrefslogtreecommitdiffstats
path: root/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deploy.sh')
-rwxr-xr-xdeploy.sh14
1 files changed, 8 insertions, 6 deletions
diff --git a/deploy.sh b/deploy.sh
index de4ac34..173be29 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -1,9 +1,11 @@
#!/bin/bash
cd build
-source /opt/agl-sdk/6.0.0-aarch64/environment-setup-aarch64-agl-linux
+source /opt/agl-sdk/6.0.0_toyota-special/environment-setup-aarch64-agl-linux
make package
-scp package/windowmanager-service-2017.wgt root@192.168.200.45:~
-ssh root@192.168.200.45 afm-util remove windowmanager-service-2017@0.1
-ssh root@192.168.200.45 afm-util install windowmanager-service-2017.wgt
-ssh root@192.168.200.45 sync
-ssh root@192.168.200.45 reboot
+if [ $? -eq 0 ]; then
+ scp package/windowmanager-service-2017.wgt root@${1}:~
+ ssh root@${1} afm-util remove windowmanager-service-2017@0.1
+ ssh root@${1} afm-util install windowmanager-service-2017.wgt
+ ssh root@${1} sync
+ ssh root@${1} reboot
+fi \ No newline at end of file